## qt6-location 6.8.2

=== tests/auto/qgeocodingmanager/CMakeLists.txt ===
qt_internal_add_test(tst_qgeocodingmanager
    SOURCES
        tst_qgeocodingmanager.h tst_qgeocodingmanager.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
        Qt::Positioning
)

=== tests/auto/qplacecontentrequest/CMakeLists.txt ===
qt_internal_add_test(tst_qplacecontentrequest
    SOURCES
        tst_qplacecontentrequest.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)

=== tests/auto/qproposedsearchresult/CMakeLists.txt ===
qt_internal_add_test(tst_qproposedsearchresult
    SOURCES
        tst_qproposedsearchresult.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)

=== tests/baseline/mapitems/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_baseline_mapitems
    SOURCES
        ../../../../qtbase/tests/baseline/shared/baselineprotocol.cpp
        ../../../../qtbase/tests/baseline/shared/baselineprotocol.h
        ../../../../qtbase/tests/baseline/shared/lookup3.cpp
        ../../../../qtbase/tests/baseline/shared/qbaselinetest.cpp
        ../../../../qtbase/tests/baseline/shared/qbaselinetest.h
        tst_baseline_mapitems.cpp
    INCLUDE_DIRECTORIES
        ../../../../qtbase/tests/baseline/shared
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::LocationPrivate
        Qt::Positioning
        Qt::Qml
        Qt::Quick
    TESTDATA ${test_data}
)

# Make the QML files available to Creator's locator.
target_sources(tst_baseline_mapitems
    PRIVATE
        ${test_data}
)

#add_dependencies(tst_baseline_mapitems qmlscenegrabber)

set_source_files_properties(${test_data}
    PROPERTIES
        HEADER_FILE_ONLY ON
)

## qt6-location 6.6.2

=== debian/changelog ===
qt6-location (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:26:09 +0200

qt6-location (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 15:36:20 +0100

qt6-location (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 19 Jan 2024 00:49:49 +0100

qt6-location (6.6.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1059231)

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Jan 2024 00:32:53 +0100

=== debian/control ===
Source: qt6-location
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               ninja-build,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.2+dfsg~),
               qt6-declarative-dev (>= 6.6.2+dfsg~),
               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
               qt6-positioning-dev (>= 6.6.2~),
               qt6-positioning-private-dev (>= 6.6.2~),
               qt6-shadertools-dev (>= 6.6.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-location.git
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-location
Rules-Requires-Root: no

Package: libqt6location6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Location library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Location library.

Package: qml6-module-qtlocation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Location QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains the Qt 6 Location QML types.

Package: qt6-location-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Location plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains various plugins for the Qt 6 Location module.

Package: qt6-location-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6location6 (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 declarative development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 declarative headers.

Package: qt6-location-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Location documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Location.

Package: qt6-location-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Location HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Location.

Package: qt6-location-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Location tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Location
 documentation.

Package: qt6-location-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Location examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Location submodule.

## qt6-location 6.7.2

=== debian/changelog ===
qt6-location (6.7.2-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module-qtlocation to dev package for QML dependency
    detection.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Nov 2024 22:34:47 +0100

qt6-location (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:48:38 +0200

qt6-location (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:25:00 +0200

qt6-location (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 19:12:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-positioning-dev (>= 6.6.2~),
-               qt6-positioning-private-dev (>= 6.6.2~),
-               qt6-shadertools-dev (>= 6.6.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-positioning-dev (>= 6.7.2~),
+               qt6-positioning-private-dev (>= 6.7.2~),
+               qt6-shadertools-dev (>= 6.7.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-location.git
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-location
@@ -37,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Location QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -59,7 +61,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqt6location6 (= ${binary:Version}), ${misc:Depends},
+Depends: libqt6location6 (= ${binary:Version}),
+         qml6-module-qtlocation (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt 6 declarative development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-location 6.8.1

=== debian/changelog ===
qt6-location (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:56:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-location
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -10,14 +11,14 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-positioning-dev (>= 6.7.2~),
-               qt6-positioning-private-dev (>= 6.7.2~),
-               qt6-shadertools-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-positioning-dev (>= 6.8.1~),
+               qt6-positioning-private-dev (>= 6.8.1~),
+               qt6-shadertools-dev (>= 6.8.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-location.git

## qt6-location 6.8.2

=== debian/changelog ===
qt6-location (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:44:27 +0100

qt6-location (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 10:57:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-location
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -11,12 +10,12 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
-               qt6-positioning-dev (>= 6.8.1~),
-               qt6-positioning-private-dev (>= 6.8.1~),
-               qt6-shadertools-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-positioning-dev (>= 6.8.2~),
+               qt6-positioning-private-dev (>= 6.8.2~),
+               qt6-shadertools-dev (>= 6.8.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-location 6.8.3

=== examples/location/places/CMakeLists.txt ===
# Generated from places.pro.

cmake_minimum_required(VERSION 3.16)
project(qml_location_places LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/location/places")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Positioning)
find_package(Qt6 COMPONENTS Location)

qt_add_executable(qml_location_places WIN32 MACOSX_BUNDLE
    main.cpp
)
target_link_libraries(qml_location_places PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Location
    Qt::Positioning
    Qt::Qml
    Qt::Quick
)


# Resources:
set(places_resource_files
    "forms/Message.qml"
    "forms/MessageForm.ui.qml"
    "forms/PlaceDetails.qml"
    "forms/PlaceDetailsForm.ui.qml"
    "forms/SearchBoundingBox.qml"
    "forms/SearchBoundingBoxForm.ui.qml"
    "forms/SearchBoundingCircle.qml"
    "forms/SearchBoundingCircleForm.ui.qml"
    "forms/SearchCenter.qml"
    "forms/SearchCenterForm.ui.qml"
    "forms/SearchOptions.qml"
    "forms/SearchOptionsForm.ui.qml"
    "helper.js"
    "items/MainMenu.qml"
    "items/MapComponent.qml"
    "items/SearchBar.qml"
    "places.qml"
    "resources/categories.png"
    "resources/left.png"
    "resources/marker.png"
    "resources/right.png"
    "resources/scale.png"
    "resources/scale_end.png"
    "resources/search.png"
    "resources/star.png"
    "views/CategoryDelegate.qml"
    "views/CategoryView.qml"
    "views/EditorialDelegate.qml"
    "views/EditorialPage.qml"
    "views/EditorialView.qml"
    "views/ImageView.qml"
    "views/RatingView.qml"
    "views/ReviewDelegate.qml"
    "views/ReviewPage.qml"
    "views/ReviewView.qml"
    "views/SearchResultDelegate.qml"
    "views/SearchResultView.qml"
    "views/SuggestionView.qml"
)

qt6_add_resources(qml_location_places "places"
    PREFIX
        "/"
    FILES
        ${places_resource_files}
)

install(TARGETS qml_location_places
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/maptype/CMakeLists.txt ===
qt_internal_add_test(tst_maptype
    SOURCES
        tst_maptype.cpp
    LIBRARIES
        Qt::Core
        Qt::LocationPrivate
)

=== tests/auto/qplacedetailsreply/CMakeLists.txt ===
qt_internal_add_test(tst_qplacedetailsreply
    SOURCES
        tst_qplacedetailsreply.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)

=== tests/auto/qplaceratings/CMakeLists.txt ===
qt_internal_add_test(tst_qplaceratings
    SOURCES
        tst_qplaceratings.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)

=== src/plugins/geoservices/itemsoverlay/CMakeLists.txt ===
qt_internal_add_plugin(QGeoServiceProviderFactoryItemsOverlayPlugin
    OUTPUT_NAME qtgeoservices_itemsoverlay
    CLASS_NAME QGeoServiceProviderFactoryItemsOverlay
    PLUGIN_TYPE geoservices
    SOURCES
        qgeomapitemsoverlay.h qgeomapitemsoverlay.cpp
        qgeomappingmanagerengineitemsoverlay.h qgeomappingmanagerengineitemsoverlay.cpp
        qgeoserviceproviderpluginitemsoverlay.h qgeoserviceproviderpluginitemsoverlay.cpp
    LIBRARIES
        Qt::Core
        Qt::LocationPrivate
        Qt::PositioningPrivate
)

=== src/plugins/geoservices/nokia/CMakeLists.txt ===
qt_internal_add_plugin(QGeoServiceProviderFactoryNokiaPlugin
    OUTPUT_NAME qtgeoservices_nokia
    CLASS_NAME QGeoServiceProviderFactoryNokia
    PLUGIN_TYPE geoservices
    SOURCES
        qgeocodereply_nokia.h qgeocodereply_nokia.cpp
        qgeocodejsonparser.h qgeocodejsonparser.cpp
        qgeocodingmanagerengine_nokia.h qgeocodingmanagerengine_nokia.cpp
        qgeotiledmappingmanagerengine_nokia.h qgeotiledmappingmanagerengine_nokia.cpp
        qgeotilefetcher_nokia.h qgeotilefetcher_nokia.cpp
        qgeomapreply_nokia.h qgeomapreply_nokia.cpp
        qgeoroutereply_nokia.h qgeoroutereply_nokia.cpp
        qgeoroutexmlparser.h qgeoroutexmlparser.cpp
        qgeoroutingmanagerengine_nokia.h qgeoroutingmanagerengine_nokia.cpp
        qgeoserviceproviderplugin_nokia.h qgeoserviceproviderplugin_nokia.cpp
        marclanguagecodes.h qgeonetworkaccessmanager.h
        qgeointrinsicnetworkaccessmanager.h qgeointrinsicnetworkaccessmanager.cpp
        qgeouriprovider.h qgeouriprovider.cpp
        uri_constants.h uri_constants.cpp
        qgeoerror_messages.h qgeoerror_messages.cpp
        qgeomapversion.h qgeomapversion.cpp
        qgeotiledmap_nokia.h qgeotiledmap_nokia.cpp
        qgeofiletilecachenokia.h qgeofiletilecachenokia.cpp
        qplacemanagerengine_nokiav2.h qplacemanagerengine_nokiav2.cpp
        placesv2/qplacecategoriesreplyhere.h placesv2/qplacecategoriesreplyhere.cpp
        placesv2/qplacecontentreplyimpl.h placesv2/qplacecontentreplyimpl.cpp
        placesv2/qplacedetailsreplyimpl.h placesv2/qplacedetailsreplyimpl.cpp
        placesv2/qplacesearchreplyhere.h placesv2/qplacesearchreplyhere.cpp
        placesv2/qplacesearchsuggestionreplyimpl.h placesv2/qplacesearchsuggestionreplyimpl.cpp
        placesv2/jsonparserhelpers.h placesv2/jsonparserhelpers.cpp
    INCLUDE_DIRECTORIES
            ../../../location/maps
    LIBRARIES
        Qt::Core
        Qt::Network
        Qt::LocationPrivate
        Qt::PositioningPrivate
)

qt_add_resources(plugin_resource_files nokia.qrc)

qt_internal_extend_target(QGeoServiceProviderFactoryNokiaPlugin
    SOURCES
        ${plugin_resource_files}
)

=== debian/changelog ===
qt6-location (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:27:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-location
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -10,12 +11,12 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-positioning-dev (>= 6.8.2~),
-               qt6-positioning-private-dev (>= 6.8.2~),
-               qt6-shadertools-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-positioning-dev (>= 6.8.3~),
+               qt6-positioning-private-dev (>= 6.8.3~),
+               qt6-shadertools-dev (>= 6.8.3~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-location 6.9.1

=== debian/changelog ===
qt6-location (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Install missing cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 11:22:04 +0200

qt6-location (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Jul 2025 17:26:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: qt6-location
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
-               qt6-positioning-dev (>= 6.8.3~),
-               qt6-positioning-private-dev (>= 6.8.3~),
-               qt6-shadertools-dev (>= 6.8.3~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-positioning-dev (>= 6.9.1~),
+               qt6-positioning-private-dev (>= 6.9.1~),
+               qt6-shadertools-dev (>= 6.9.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-location.git
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-location

## qt6-location 6.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtLocation
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Location Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
qt_internal_project_setup()

if(WASM)
    message(NOTICE "Skipping the build as the condition \"NOT WASM\" is not met.")
    return()
endif()

if(INTEGRITY)
    message(NOTICE "Skipping the build as the condition \"NOT INTEGRITY\" is not met.")
    return()
endif()

# Need to search for positioning only after we make sure that it's not WASM.
# Otherwise we'll get an "QtPositioning not found" error in WASM build.
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS
    Qml Quick Network Test QuickTest Positioning PositioningQuick QuickShapesPrivate
)

find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS
    ShaderTools
)

macro(assertTargets)
    foreach(qtTarget IN ITEMS ${ARGN})
        if(NOT TARGET Qt::${qtTarget})
           message(NOTICE "Skipping the build as the condition \"TARGET Qt::${qtTarget}\" is not met.")
           return()
        endif()
    endforeach()
endmacro()

assertTargets(Qml Quick Network Test QuickTest Positioning PositioningQuick QuickShapesPrivate)

qt_build_repo()

=== src/CMakeLists.txt ===
# special case begin
qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/configure.cmake")
add_subdirectory(location)
add_subdirectory(plugins)
# special case end

=== src/location/CMakeLists.txt ===
qt_internal_add_module(Location
    PLUGIN_TYPES geoservices
    SOURCES
        qlocation.h qlocation.cpp
        qlocationglobal.h qlocationglobal_p.h
        maps/qgeoserviceprovider.h maps/qgeoserviceprovider_p.h maps/qgeoserviceprovider.cpp
        maps/qgeoserviceproviderfactory.h maps/qgeoserviceproviderfactory.cpp
        maps/qcache3q_p.h
        maps/qabstractgeotilecache_p.h maps/qabstractgeotilecache.cpp
        maps/qgeofiletilecache_p.h maps/qgeofiletilecache.cpp
        maps/qgeotilespec_p.h maps/qgeotilespec_p_p.h maps/qgeotilespec.cpp
        maps/qgeotiledmapscene_p.h maps/qgeotiledmapscene_p_p.h maps/qgeotiledmapscene.cpp
        maps/qgeotilerequestmanager_p.h maps/qgeotilerequestmanager.cpp
        maps/qgeotilefetcher_p.h maps/qgeotilefetcher_p_p.h maps/qgeotilefetcher.cpp
        maps/qgeotiledmap_p.h maps/qgeotiledmap_p_p.h maps/qgeotiledmap.cpp
        maps/qgeotiledmapreply_p.h maps/qgeotiledmapreply_p_p.h maps/qgeotiledmapreply.cpp
        maps/qgeotiledmappingmanagerengine_p.h maps/qgeotiledmappingmanagerengine_p_p.h
        maps/qgeotiledmappingmanagerengine.cpp
        maps/qgeocameradata_p.h maps/qgeocameradata.cpp
        maps/qgeocameracapabilities_p.h maps/qgeocameracapabilities.cpp
        maps/qgeocameratiles_p.h maps/qgeocameratiles_p_p.h maps/qgeocameratiles.cpp
        maps/qgeocodingmanagerengine.h maps/qgeocodingmanagerengine_p.h
        maps/qgeocodingmanagerengine.cpp
        maps/qgeocodingmanager.h maps/qgeocodingmanager_p.h maps/qgeocodingmanager.cpp
        maps/qgeocodereply.h maps/qgeocodereply_p.h maps/qgeocodereply.cpp
        maps/qgeoroutingmanager.h maps/qgeoroutingmanager_p.h maps/qgeoroutingmanager.cpp
        maps/qgeoroutingmanagerengine_p.h maps/qgeoroutingmanagerengine.h
        maps/qgeoroutingmanagerengine.cpp
        maps/qgeorouterequest.h maps/qgeorouterequest_p.h maps/qgeorouterequest.cpp
        maps/qgeoroutereply.h maps/qgeoroutereply_p.h maps/qgeoroutereply.cpp
        maps/qgeoroute.h maps/qgeoroute_p.h maps/qgeoroute.cpp
        maps/qgeoroutesegment.h maps/qgeoroutesegment_p.h maps/qgeoroutesegment.cpp
        maps/qgeorouteparser_p.h maps/qgeorouteparser_p_p.h maps/qgeorouteparser.cpp
        maps/qgeorouteparserosrmv5_p.h maps/qgeorouteparserosrmv5.cpp
        maps/qgeomaneuver.h maps/qgeomaneuver_p.h maps/qgeomaneuver.cpp
        maps/qgeomaneuverderived_p.h
        maps/qgeomappingmanager_p.h maps/qgeomappingmanager_p_p.h maps/qgeomappingmanager.cpp
        maps/qgeomappingmanagerengine_p.h maps/qgeomappingmanagerengine_p_p.h
        maps/qgeomappingmanagerengine.cpp
        maps/qgeomaptype_p.h maps/qgeomaptype_p_p.h maps/qgeomaptype.cpp
        maps/qgeomap_p.h maps/qgeomap_p_p.h maps/qgeomap.cpp
        maps/qgeoprojection_p.h maps/qgeoprojection.cpp
        maps/qgeojson_p.h maps/qgeojson.cpp
        places/qplacemanager.h places/qplacemanager.cpp
        places/qplacemanagerengine.h places/qplacemanagerengine_p.h places/qplacemanagerengine.cpp
        places/unsupportedreplies_p.h
        places/qplacereply.h places/qplacereply_p.h places/qplacereply.cpp
        places/qplaceresult.h places/qplaceresult_p.h places/qplaceresult.cpp
        places/qplacesearchrequest.h places/qplacesearchrequest_p.h places/qplacesearchrequest.cpp
        places/qplacesearchreply.h places/qplacesearchreply.cpp
        places/qplacesearchresult.h places/qplacesearchresult_p.h places/qplacesearchresult.cpp
        places/qplaceproposedsearchresult.h places/qplaceproposedsearchresult_p.h
        places/qplaceproposedsearchresult.cpp
        places/qplacesearchsuggestionreply.h places/qplacesearchsuggestionreply.cpp
        places/qplacematchrequest.h places/qplacematchrequest.cpp
        places/qplacematchreply.h places/qplacematchreply.cpp
        places/qplacecontentrequest.h places/qplacecontentrequest_p.h
        places/qplacecontentrequest.cpp
        places/qplacecontentreply.h places/qplacecontentreply.cpp
        places/qplacedetailsreply.h places/qplacedetailsreply.cpp
        places/qplaceidreply.h places/qplaceidreply.cpp
        places/qplace.h places/qplace_p.h places/qplace.cpp
        places/qplaceicon.h places/qplaceicon_p.h places/qplaceicon.cpp
        places/qplacecategory.h places/qplacecategory_p.h places/qplacecategory.cpp
        places/qplaceuser_p.h places/qplaceuser.h places/qplaceuser.cpp
        places/qplacesupplier.h places/qplacesupplier_p.h places/qplacesupplier.cpp
        places/qplaceattribute.h places/qplaceattribute_p.h places/qplaceattribute.cpp
        places/qplaceratings.h places/qplaceratings_p.h places/qplaceratings.cpp
        places/qplacecontactdetail.h places/qplacecontactdetail_p.h places/qplacecontactdetail.cpp
        places/qplacecontent.h places/qplacecontent_p.h places/qplacecontent.cpp
    NO_UNITY_BUILD_SOURCES
        maps/qgeocameratiles.cpp
        maps/qgeotiledmapscene.cpp
    INCLUDE_DIRECTORIES
        maps
        places
        declarativemaps
        declarativeplaces
        quickmapitems
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::QuickPrivate
        Qt::PositioningPrivate
        Qt::PositioningQuickPrivate
        Qt::Qml
        Qt::Quick
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Positioning
        Qt::PositioningQuick
        Qt::QuickShapesPrivate
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::QuickPrivate
        Qt::PositioningPrivate
        Qt::PositioningQuickPrivate
)

set_source_files_properties(maps/MapView.qml PROPERTIES
     QT_RESOURCE_ALIAS MapView.qml
)

qt_internal_add_qml_module(Location
    URI QtLocation
    VERSION ${PROJECT_VERSION}
    PLUGIN_TARGET declarative_location
    NO_PLUGIN_OPTIONAL
    CLASS_NAME QtLocationDeclarativeModule
    QML_FILES
        maps/MapView.qml
    SOURCES
        # value types
        maps/qgeomaptype_p.h
        maps/qgeomaneuver.h
        maps/qgeoroute.h
        maps/qgeoroutesegment.h
        places/qplaceattribute.h
        places/qplacecontactdetail.h
        places/qplaceicon.h
        places/qplaceratings.h
        places/qplacesupplier.h
        places/qplaceuser.h
        # Element types
        declarativemaps/qdeclarativegeoserviceprovider_p.h
        declarativemaps/qdeclarativegeoserviceprovider.cpp
        declarativemaps/error_messages.cpp declarativemaps/error_messages_p.h
        declarativemaps/qdeclarativegeocodemodel.cpp declarativemaps/qdeclarativegeocodemodel_p.h
        declarativemaps/qdeclarativegeoroutemodel.cpp declarativemaps/qdeclarativegeoroutemodel_p.h
        declarativemaps/qdeclarativegeojsondata.cpp declarativemaps/qdeclarativegeojsondata_p.h
        quickmapitems/qgeomapitemgeometry.cpp quickmapitems/qgeomapitemgeometry_p.h
        quickmapitems/qdeclarativegeomap_p.h quickmapitems/qdeclarativegeomap.cpp
        quickmapitems/qdeclarativegeomapitembase_p.h
        quickmapitems/qdeclarativegeomapitembase.cpp
        quickmapitems/qdeclarativegeomapitemview_p.h
        quickmapitems/qdeclarativegeomapitemview.cpp
        quickmapitems/qdeclarativegeomapitemutils.cpp quickmapitems/qdeclarativegeomapitemutils_p.h
        quickmapitems/qdeclarativegeomapquickitem_p.h
        quickmapitems/qdeclarativegeomapquickitem.cpp
        quickmapitems/qdeclarativegeomapitemgroup_p.h
        quickmapitems/qdeclarativegeomapitemgroup.cpp
        quickmapitems/qdeclarativepolygonmapitem.cpp
        quickmapitems/qdeclarativepolygonmapitem_p.h
        quickmapitems/qdeclarativepolygonmapitem_p_p.h
        quickmapitems/qdeclarativepolylinemapitem.cpp
        quickmapitems/qdeclarativepolylinemapitem_p.h
        quickmapitems/qdeclarativepolylinemapitem_p_p.h
        quickmapitems/qdeclarativerectanglemapitem.cpp
        quickmapitems/qdeclarativerectanglemapitem_p.h
        quickmapitems/qdeclarativerectanglemapitem_p_p.h
        quickmapitems/qdeclarativecirclemapitem.cpp quickmapitems/qdeclarativecirclemapitem_p.h
        quickmapitems/qdeclarativecirclemapitem_p_p.h
        quickmapitems/qdeclarativeroutemapitem.cpp quickmapitems/qdeclarativeroutemapitem_p.h
        quickmapitems/qdeclarativegeomapcopyrightsnotice_p.h
        quickmapitems/qdeclarativegeomapcopyrightsnotice.cpp
        quickmapitems/qdeclarativegeomapitemtransitionmanager_p.h
        quickmapitems/qdeclarativegeomapitemtransitionmanager.cpp
        declarativeplaces/qdeclarativecategory.cpp
        declarativeplaces/qdeclarativecategory_p.h
        declarativeplaces/qdeclarativecontactdetails.cpp
        declarativeplaces/qdeclarativecontactdetails_p.h
        declarativeplaces/qdeclarativeplacecontentmodel.cpp
        declarativeplaces/qdeclarativeplacecontentmodel_p.h
        declarativeplaces/qdeclarativeplace.cpp
        declarativeplaces/qdeclarativeplace_p.h
        declarativeplaces/qdeclarativesearchmodelbase.cpp
        declarativeplaces/qdeclarativesearchmodelbase_p.h
        declarativeplaces/qdeclarativesearchresultmodel.cpp
        declarativeplaces/qdeclarativesearchresultmodel_p.h
        declarativeplaces/qdeclarativesearchsuggestionmodel.cpp
        declarativeplaces/qdeclarativesearchsuggestionmodel_p.h
        declarativeplaces/qdeclarativesupportedcategoriesmodel.cpp
        declarativeplaces/qdeclarativesupportedcategoriesmodel_p.h
    DEPENDENCIES
        QtQuick/auto
        QtPositioning/auto
    NO_GENERATE_CPP_EXPORTS
)

qt_internal_add_docs(Location
    doc/qtlocation.qdocconf
)

=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

# TODO: enable location tests later!
if(TARGET Qt::Location)
     add_subdirectory(geotestplugin)
     add_subdirectory(qplace)
     add_subdirectory(qplaceattribute)
     add_subdirectory(qplacecategory)
     add_subdirectory(qplacecontactdetail)
     add_subdirectory(qplacecontentrequest)
     add_subdirectory(qplacedetailsreply)
     add_subdirectory(qplacematchreply)
     add_subdirectory(qplacematchrequest)
     add_subdirectory(qplaceratings)
     add_subdirectory(qplaceresult)
     add_subdirectory(qproposedsearchresult)
     add_subdirectory(qplacereply)
     add_subdirectory(qplacesearchrequest)
     add_subdirectory(qplacesupplier)
     add_subdirectory(qplacesearchresult)
     add_subdirectory(qplacesearchreply)
     add_subdirectory(qplacesearchsuggestionreply)
     add_subdirectory(qplaceuser)
     add_subdirectory(qgeocodingmanagerplugins)
     add_subdirectory(qgeocameracapabilities)
     add_subdirectory(qgeocameradata)
     add_subdirectory(qgeocodereply)
     add_subdirectory(qgeomaneuver)
     add_subdirectory(qgeotiledmapscene)
     add_subdirectory(qgeoroute)
     add_subdirectory(qgeoroutereply)
     add_subdirectory(qgeorouterequest)
     add_subdirectory(qgeoroutesegment)
     add_subdirectory(qgeoroutingmanagerplugins)
     add_subdirectory(qgeotilespec)
     add_subdirectory(qgeoroutexmlparser)
     add_subdirectory(maptype)
     add_subdirectory(qgeocameratiles)
endif()
if(TARGET Qt::Location AND NOT ANDROID)
     add_subdirectory(qgeojson)
     if(QT_FEATURE_geoservices_nokia)
          add_subdirectory(qplacemanager_nokia)
     endif()
     add_subdirectory(placesplugin_unsupported)
     #     add_subdirectory(cmake)
     if(QT6_IS_SHARED_LIBS_BUILD)
          add_subdirectory(qplacemanager)
          add_subdirectory(qplacemanager_unsupported)
          add_subdirectory(qmlinterface)
          add_subdirectory(qgeoserviceprovider)
          add_subdirectory(qgeoroutingmanager)
          add_subdirectory(qgeocodingmanager)
          add_subdirectory(qgeotiledmap)
     endif()
     if(QT_FEATURE_geoservices_nokia)
          add_subdirectory(nokia_services)
     endif()
endif()

if (TARGET Qt::Location AND TARGET Qt::Quick AND QT6_IS_SHARED_LIBS_BUILD)
     if (NOT ANDROID)
          add_subdirectory(declarative_mappolyline)
          add_subdirectory(declarative_location_core)
          add_subdirectory(declarativetestplugin)
          add_subdirectory(declarative_ui)
     endif()
endif()

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(mapitems_backends)
add_subdirectory(mapobjects_tester)
add_subdirectory(mappolyline_tester)

=== examples/location/places_list/CMakeLists.txt ===
# Generated from places_list.pro.

cmake_minimum_required(VERSION 3.16)
project(places_list LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/location/places_list")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Positioning)
find_package(Qt6 COMPONENTS Location)

qt_add_executable(places_list WIN32 MACOSX_BUNDLE
    main.cpp
)
target_link_libraries(places_list PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Location
    Qt::Positioning
    Qt::Qml
    Qt::Quick
)


# Resources:
set(places_list_resource_files
    "Marker.qml"
    "marker.png"
    "places_list.qml"
)

qt6_add_resources(places_list "places_list"
    PREFIX
        "/"
    FILES
        ${places_list_resource_files}
)

install(TARGETS places_list
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/location/places_map/CMakeLists.txt ===
# Generated from places_map.pro.

cmake_minimum_required(VERSION 3.16)
project(places_map LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/location/places_map")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Positioning)
find_package(Qt6 COMPONENTS Location)

qt_add_executable(places_map WIN32 MACOSX_BUNDLE
    main.cpp
)
target_link_libraries(places_map PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Location
    Qt::Positioning
    Qt::Qml
    Qt::Quick
)


# Resources:
set(places_map_resource_files
    "marker.png"
    "Main.qml"
    "PermissionsScreen.qml"
    "PlacesMap.qml"
)

qt6_add_resources(places_map "places_map"
    PREFIX
        "/"
    FILES
        ${places_map_resource_files}
)

install(TARGETS places_map
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/declarative_mappolyline/CMakeLists.txt ===
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    *.qml)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_declarative_mappolyline
    QMLTEST
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Location
        Qt::Quick
    TESTDATA ${test_data}
)

=== tests/auto/declarative_ui/CMakeLists.txt ===
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    tst_*.qml)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_declarative_ui
    QMLTEST
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Location
        Qt::Quick
    TESTDATA ${test_data}
)

=== tests/auto/placesplugin_unsupported/CMakeLists.txt ===
qt_internal_add_plugin(UnsupportedPlacesGeoServicePlugin
    OUTPUT_NAME qtgeoservices_placesplugin_unsupported
    CLASS_NAME QGeoServiceProviderFactoryTest
    PLUGIN_TYPE geoservices
    DEFAULT_IF FALSE
    SOURCES
        qgeoserviceproviderplugin_test.h
        qgeoserviceproviderplugin_test.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)

=== tests/auto/qgeocameracapabilities/CMakeLists.txt ===
qt_internal_add_test(tst_qgeocameracapabilities
    SOURCES
        tst_qgeocameracapabilities.cpp
    LIBRARIES
        Qt::Core
        Qt::LocationPrivate
        Qt::PositioningPrivate
)

=== tests/auto/qgeocameradata/CMakeLists.txt ===
qt_internal_add_test(tst_qgeocameradata
    SOURCES
        tst_qgeocameradata.cpp
    LIBRARIES
        Qt::Core
        Qt::LocationPrivate
        Qt::PositioningPrivate
)

=== debian/changelog ===
qt6-location (6.9.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add several Qt6 dev-packages as dependencies to qt6-location-dev.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Update d/watch to format version 5.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Jan 2026 18:24:50 +0100

qt6-location (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 10:33:51 +0100

qt6-location (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:08:52 +0200

qt6-location (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 08:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,29 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               ccache [linux-any],
                cmake (>= 3.24~),
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
-               qt6-positioning-dev (>= 6.9.1~),
-               qt6-positioning-private-dev (>= 6.9.1~),
-               qt6-shadertools-dev (>= 6.9.1~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
+               qt6-positioning-dev (>= 6.9.2~),
+               qt6-positioning-private-dev (>= 6.9.2~),
+               qt6-shadertools-dev (>= 6.9.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-documentation-tools (>= 6.9~) <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-location.git
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-location
-Rules-Requires-Root: no
 
 Package: libqt6location6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 Location library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -40,7 +39,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 Location QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -51,7 +52,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 Location plugins
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -64,6 +66,9 @@
 Section: libdevel
 Depends: libqt6location6 (= ${binary:Version}),
          qml6-module-qtlocation (= ${binary:Version}),
+         qt6-base-dev,
+         qt6-declarative-dev,
+         qt6-positioning-dev,
          ${misc:Depends},
 Description: Qt 6 declarative development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -75,7 +80,8 @@
 Package: qt6-location-doc
 Architecture: all
 Section: doc
-Depends: qt6-base-doc, ${misc:Depends},
+Depends: qt6-base-doc,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: Qt 6 Location documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -86,7 +92,8 @@
 Package: qt6-location-doc-html
 Architecture: all
 Section: doc
-Depends: qt6-base-doc-html, ${misc:Depends},
+Depends: qt6-base-doc-html,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: Qt 6 Location HTML documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -97,7 +104,8 @@
 Package: qt6-location-doc-dev
 Architecture: all
 Section: libdevel
-Depends: qt6-base-doc-dev, ${misc:Depends},
+Depends: qt6-base-doc-dev,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: Qt 6 Location tags files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -110,7 +118,8 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 Location examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtlocation-everywhere-src-(.*)\.tar\.xz
